Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.util
Class ByteDataServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.compoze.util.ByteDataServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public abstract class ByteDataServlet
extends javax.servlet.http.HttpServlet

This class is a servlet that writes an array of bytes to the output stream.

See Also:
  Serialized Form

Constructor Summary
`ByteDataServlet()`

Method Summary
`void` | `processData(java.io.OutputStream os, byte[] data)` Handles the processing of byte data.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteDataServlet

    public ByteDataServlet()

Method Detail

### processData

    public void processData(java.io.OutputStream os,
                            byte[] data)
                     throws javax.servlet.ServletException,
                            java.io.IOException

  Handles the processing of byte data.
  Parameters:
    `os` - the output stream to write byte data to
    `data` - the byte data to write
  Throws:
    `javax.servlet.ServletException` - thrown to wrap underlying exceptions
    `java.io.IOException` - if an i/o exception occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.